Debian Bug report logs - #605841
xorg: Please add armhf support

version graph

Package: src:xorg; Maintainer for src:xorg is Debian X Strike Force <debian-x@lists.debian.org>;

Reported by: Konstantinos Margaritis <markos@genesi-usa.com>

Date: Fri, 3 Dec 2010 23:18:16 UTC

Severity: important

Tags: patch

Fixed in version xorg/1:7.6+7

Done: Cyril Brulebois <kibi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#605841; Package src:xorg. (Fri, 03 Dec 2010 23:18:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to Konstantinos Margaritis <markos@genesi-usa.com>:
New Bug report received and forwarded. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Fri, 03 Dec 2010 23:18:18 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Konstantinos Margaritis <markos@genesi-usa.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: xorg: Please add armhf support
Date: Sat, 04 Dec 2010 02:21:49 +0000
[Message part 1 (text/plain, inline)]
Source: xorg
Severity: wishlist
Tags: patch

Hi,

The armhf port has reached a very good state (at 87%) at debian-ports.org,
and I'm now mass-filing bug reports to packages for armhf support.
Most packages just have to add armhf in the architecture field. The complete
list is in http://wiki.debian.org/ArmHardFloatTodo

The package builds fine using the attached patch. Mind you, we do not target
squeeze, so there is no rush. But please consider adding armhf support. :)

Regards

Konstantinos


-- System Information:
Debian Release: squeeze/sid
Architecture: armhf (armv7l)

Kernel: Linux 2.6.31.14-efikamx (PREEMPT)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
[xorg-armhf.patch (text/x-diff, attachment)]

Severity set to 'important' from 'wishlist' Request was from Konstantinos Margaritis <markos@genesi-usa.com> to control@bugs.debian.org. (Mon, 14 Feb 2011 15:21:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#605841; Package src:xorg. (Mon, 11 Apr 2011 17:36:23 GMT) Full text and rfc822 format available.

Acknowledgement sent to Konstantinos Margaritis <markos@genesi-usa.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 11 Apr 2011 17:36:24 GMT) Full text and rfc822 format available.

Message #12 received at 605841@bugs.debian.org (full text, mbox):

From: Konstantinos Margaritis <markos@genesi-usa.com>
To: 605841@bugs.debian.org
Subject: Re: xorg: Please add armhf support
Date: Mon, 11 Apr 2011 20:26:07 +0300
Hi, any news about this bug report?
Looking at it a second time and after the recent discussion in
debian-arm [1], instead of -nv,
-nouveau should be used -for those rare cases, an arm board with
pci-e/agp is found and the
user wants to try an nvidia card. I can send a new patch if you'd
like, but really that's the only
change.

Regards

Konstantinos

[1]: http://lists.debian.org/debian-arm/2011/03/msg00074.html




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#605841; Package src:xorg. (Thu, 02 Jun 2011 17:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Thu, 02 Jun 2011 17:12:03 GMT) Full text and rfc822 format available.

Message #17 received at 605841@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Konstantinos Margaritis <markos@genesi-usa.com>, 605841@bugs.debian.org
Subject: Re: Bug#605841: xorg: Please add armhf support
Date: Thu, 2 Jun 2011 19:10:18 +0200
[Message part 1 (text/plain, inline)]
Hi Konstantinos,

Konstantinos Margaritis <markos@genesi-usa.com> (11/04/2011):
> Hi, any news about this bug report?  Looking at it a second time and
> after the recent discussion in debian-arm [1], instead of -nv,
> -nouveau should be used -for those rare cases, an arm board with
> pci-e/agp is found and the user wants to try an nvidia card. I can
> send a new patch if you'd like, but really that's the only change.

no need for a new patch, thanks. :D

Looking into it, you only put there some drivers (no intel, btw?).
Shouldn't we more or less have the same contents for armhf as for
armel? Sorry for the oversimplification, but I thought it was just a
port with better optimizations (and consequently a different ABI)?

I've merged your patch for now, but I'd like to know whether to push
that one, or just a copy of armel's variables.

(Feel free to join #debian-x for a quick chat.)

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#605841; Package src:xorg. (Fri, 03 Jun 2011 21:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Fri, 03 Jun 2011 21:33:03 GMT) Full text and rfc822 format available.

Message #22 received at 605841@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Konstantinos Margaritis <markos@genesi-usa.com>, 605841@bugs.debian.org
Subject: Re: Bug#605841: xorg: Please add armhf support
Date: Fri, 3 Jun 2011 23:28:37 +0200
[Message part 1 (text/plain, inline)]
Cyril Brulebois <kibi@debian.org> (02/06/2011):
> Looking into it, you only put there some drivers (no intel, btw?).
> Shouldn't we more or less have the same contents for armhf as for
> armel? Sorry for the oversimplification, but I thought it was just a
> port with better optimizations (and consequently a different ABI)?

After a quick IRC talk, there are apparently such HW choices making it
more or less impossible to have intel hardware there. So let's stick
to the initial list for now, further reports to have drivers added are
welcome.

wacom downgraded to a recommended driver, though, as it's done for
other architectures.

Mraw,
KiBi.

[signature.asc (application/pgp-signature, inline)]

Reply sent to Cyril Brulebois <kibi@debian.org>:
You have taken responsibility. (Fri, 03 Jun 2011 21:54:03 GMT) Full text and rfc822 format available.

Notification sent to Konstantinos Margaritis <markos@genesi-usa.com>:
Bug acknowledged by developer. (Fri, 03 Jun 2011 21:54:03 GMT) Full text and rfc822 format available.

Message #27 received at 605841-close@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: 605841-close@bugs.debian.org
Subject: Bug#605841: fixed in xorg 1:7.6+7
Date: Fri, 03 Jun 2011 21:51:46 +0000
Source: xorg
Source-Version: 1:7.6+7

We believe that the bug you reported is fixed in the latest version of
xorg, which is due to be installed in the Debian FTP archive:

x11-common_7.6+7_all.deb
  to main/x/xorg/x11-common_7.6+7_all.deb
xbase-clients_7.6+7_all.deb
  to main/x/xorg/xbase-clients_7.6+7_all.deb
xorg-dev_7.6+7_all.deb
  to main/x/xorg/xorg-dev_7.6+7_all.deb
xorg_7.6+7.dsc
  to main/x/xorg/xorg_7.6+7.dsc
xorg_7.6+7.tar.gz
  to main/x/xorg/xorg_7.6+7.tar.gz
xorg_7.6+7_amd64.deb
  to main/x/xorg/xorg_7.6+7_amd64.deb
xserver-xorg-input-all_7.6+7_amd64.deb
  to main/x/xorg/xserver-xorg-input-all_7.6+7_amd64.deb
xserver-xorg-video-all_7.6+7_amd64.deb
  to main/x/xorg/xserver-xorg-video-all_7.6+7_amd64.deb
xserver-xorg_7.6+7_amd64.deb
  to main/x/xorg/xserver-xorg_7.6+7_amd64.deb
xutils_7.6+7_all.deb
  to main/x/xorg/xutils_7.6+7_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 605841@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Cyril Brulebois <kibi@debian.org> (supplier of updated xorg package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 03 Jun 2011 23:25:11 +0200
Source: xorg
Binary: x11-common xserver-xorg xserver-xorg-video-all xserver-xorg-input-all xorg xorg-dev xbase-clients xutils
Architecture: source all amd64
Version: 1:7.6+7
Distribution: unstable
Urgency: low
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Changed-By: Cyril Brulebois <kibi@debian.org>
Description: 
 x11-common - X Window System (X.Org) infrastructure
 xbase-clients - miscellaneous X clients - metapackage
 xorg       - X.Org X Window System
 xorg-dev   - X.Org X Window System development libraries
 xserver-xorg - X.Org X server
 xserver-xorg-input-all - X.Org X server -- input driver metapackage
 xserver-xorg-video-all - X.Org X server -- output driver metapackage
 xutils     - X Window System utility programs metapackage
Closes: 605841 610450
Changes: 
 xorg (1:7.6+7) unstable; urgency=low
 .
   * Remove long obsolete XF86Config-4 on purge (Closes: #610450). Thanks,
     Bernhard R. Link!
   * Add support for armhf (Closes: #605841), Thanks, Konstantinos
     Margaritis! Keep wacom in Recommends rather than in Depends, though.
   * Set the same permissions on all debian/scripts/vars.* files: no need
     to have them +x.
   * Remove debian/scripts/validate-posix-sh, unused.
   * Address description-synopsis-starts-with-article lintian tag.
   * Bump Standards-Version (no changes needed).
   * Merge xsf-docs up to the f920810e8f commit:
     - Add: reference/experimental
     - Add: reference/git-usage
     - Update: faq/general (firmware for ATI)
     - and other minor updates.
Checksums-Sha1: 
 8aee6c357cc18e0e8c08c7863119f0d2e260d1e7 1027 xorg_7.6+7.dsc
 d2ab2171469ad33175fe0dad056b67993b0fc3b3 934036 xorg_7.6+7.tar.gz
 12d9d466a42fefe3c9c21993a7f89d0220e38d9e 274962 x11-common_7.6+7_all.deb
 e599c012c6b71a4fdf45f37ae74159586abe7d55 34298 xorg-dev_7.6+7_all.deb
 89b6f5581b96fa9238a3ee7c903922d734334e0a 34168 xbase-clients_7.6+7_all.deb
 dfbc5bce5027f6011aaeeaa3b359683828b92d43 34052 xutils_7.6+7_all.deb
 05558f0a1ffd62cf05392e74e432f2ab9efaffd9 108946 xserver-xorg_7.6+7_amd64.deb
 e37d7b42fcf1731492fca038f1b486ada60c97e7 34136 xserver-xorg-video-all_7.6+7_amd64.deb
 faf774bf5a68372d46d15ef7a812ba2026070272 34002 xserver-xorg-input-all_7.6+7_amd64.deb
 329b9f39742772dfa920e87435d972518d28d9dd 34614 xorg_7.6+7_amd64.deb
Checksums-Sha256: 
 16eb336ed4070841a87b07f2d9f338bb8b088f7f63ba9f73fb631cf6480b1f51 1027 xorg_7.6+7.dsc
 197e96462e1a8c9f55eab813ddf81444cfc3e99903d19e90fad861c31fc296f5 934036 xorg_7.6+7.tar.gz
 203deda6bd2d620d96db1f87ee0e1ccb10718bc2ed78c3bbca2c71596ad75744 274962 x11-common_7.6+7_all.deb
 a306aba0f3d63a0b8bb529860e42e9bbd8c58de3749b39810413243ab42f4420 34298 xorg-dev_7.6+7_all.deb
 595572fe70d32665a40b772f548ea70bd9eea1a3c09fc7f83754381a6cdf7fc1 34168 xbase-clients_7.6+7_all.deb
 ef49148460c2f855e5418ca624c894f948c50023b2cc37f8ee1167b6c1e88061 34052 xutils_7.6+7_all.deb
 ea00501ce141c71ad3473e0b1c15e8d28b7deff07b54fe6c7064b8e780d3268c 108946 xserver-xorg_7.6+7_amd64.deb
 231cb30f8b35b1defa022514af8c4aa22244c74a5588a5861311ee416d42799a 34136 xserver-xorg-video-all_7.6+7_amd64.deb
 0b64d7406cffb705d3e92733e85ee819cd9874390a574710255deef46a0fb291 34002 xserver-xorg-input-all_7.6+7_amd64.deb
 40a2afe02095b691fb7c0eac3a613e9b9a269d8328d3dc6a34a1ee2a2554475d 34614 xorg_7.6+7_amd64.deb
Files: 
 9693e39df179d6a7a77fac6d5e6f30aa 1027 x11 optional xorg_7.6+7.dsc
 108fad78f537d212828088bd9e70c85e 934036 x11 optional xorg_7.6+7.tar.gz
 49197bcf2985ceec660b650001cfbbc7 274962 x11 optional x11-common_7.6+7_all.deb
 c3d1dfaec0dd86a878c88d218d9dcf4b 34298 x11 optional xorg-dev_7.6+7_all.deb
 c19e1d28bd3a9fc5b02c4a7a9717a9ce 34168 x11 optional xbase-clients_7.6+7_all.deb
 3423edf23e12ef625c921667d82e943d 34052 x11 optional xutils_7.6+7_all.deb
 d6425516e43d27aa0c023a3f53c3fb11 108946 x11 optional xserver-xorg_7.6+7_amd64.deb
 0930b7c2ff983a561e71d0604c50e4f9 34136 x11 optional xserver-xorg-video-all_7.6+7_amd64.deb
 02f904d0df26bc79b0b72ec9e65d7901 34002 x11 optional xserver-xorg-input-all_7.6+7_amd64.deb
 87ac19e29e7b1ba932b71097e73ca3a3 34614 x11 optional xorg_7.6+7_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk3pVB8ACgkQeGfVPHR5Nd3vcACfc24w68WBAdIKUzr3zJyO2do3
Wj4AoJf4BEaZGIPXnaBH8y3K/On9XkOB
=P4nW
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 12 Jul 2011 07:37:50 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 20:19:18 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.